Bug 994549 - If glusterd operations fails on the commit stage, we will end up having inconsistent state over the cluster.
If glusterd operations fails on the commit stage, we will end up having incon...
Status: CLOSED EOL
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterd (Show other bugs)
2.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nagaprasad Sathyanarayana
storage-qa-internal@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 09:38 EDT by Vijaykumar Koppad
Modified: 2016-02-17 19:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-03 12:21:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2013-08-07 09:38:10 EDT
Description of problem: If the glusterd operations are failed in commit stage, the whole cluster will have inconsistent data. This failure at commite stage could happen if disk is full on one or more machines in the cluster. 


Version-Release number of selected component (if applicable): glusterfs-3.4.0.17rhs-1.el6rhs.x86_64


How reproducible: Happens everytime
 

Steps to Reproduce:
1.Create and start a volume in a cluster having 2 or more machines. 
2.Copy data from /var/lib/glusterd/ to a temp directory
3.Mount a loopback device of some 50M on /var/lib/glusterd/ and copy all those data from temp dir to /var/lib/glusterd/
4.fill up the mount point /var/lib/glusterd using the command "dd if=/dev/zero of=/var/lib/glusterd/file bs=1M" 
5.Now do any glusterd operation from different machine in the cluster, like setting a volume option. 
6.The command fails at commit stage , but you will end up having inconsistent data over the cluster.   

Actual results: failure at commit stage results in inconsistent data  over the cluster


Expected results: Cluster should never end up in inconsistent data. 


Additional info:
Comment 4 Vivek Agarwal 2015-12-03 12:21:38 EST
Thank you for submitting this issue for consideration in Red Hat Gluster Storage. The release for which you requested us to review, is now End of Life. Please See https://access.redhat.com/support/policy/updates/rhs/

If you can reproduce this bug against a currently maintained version of Red Hat Gluster Storage, please feel free to file a new report against the current release.

Note You need to log in before you can comment on or make changes to this bug.